"""
    ZCGI Init
    ==== ====
"""
# $Id: __init__.py,v 1.3 2001/12/30 01:05:44 adrian Exp $
#
# $Log: __init__.py,v $
# Revision 1.3  2001/12/30 01:05:44  adrian
# * Added ZCGIFolder type to emulate CGI-BIN functionality exactly
# * Corrected environment for CGI script
# * Corrected passing POST data
# * Corrected handling of returned mime-headers
# * Added HTML-HEAD ripping (Can change CGI data to fit site look&feel)
# * Added code to fix mailman malformed HTML (spurious <BODY in output)
# * Changed error messages to be more standard for CGI-BIN
# * Can now add new ZCGIExtensionMap's to allow certain handlers only in certain areas
#
# Revision 1.2  2001/10/21 15:04:56  adrian
# no message
#
#
__version__ = '$Revision: 1.3 $'[11:-2]

import ZCGI

def initialize(context):
    """ Initialize this product """
    app = context._ProductContext__app
    if not hasattr(app, ZCGI.ZCGIExtensionMap.id):
        obj = ZCGI.ZCGIExtensionMap()
        app._setObject(obj.getId(), obj)
        get_transaction().note('Added Z CGI Extension Map')
        get_transaction().commit()
    context.registerClass(
        ZCGI.ZCGIExtensionMap,
        meta_type = 'Z CGI Extension Map',
        permission = 'Add Z CGI Extension Maps',
        icon='www/ZCGIExtensionMap.gif',
        constructors=(ZCGI.manage_addZCGIExtensionMap,),
        )
    context.registerClass(
        ZCGI.ZCGIScript,
        meta_type = 'Z CGI Script',
        permission = 'Add Z CGI Scripts',
        icon='www/ZCGIScript.gif',
        constructors=(ZCGI.manage_addZCGIScriptForm,
                      ZCGI.manage_addZCGIScript),
        )
    context.registerClass(
        ZCGI.ZCGIFolder,
        meta_type = 'Z CGI Folder',
        permission = 'Add Z CGI Folders',
        icon='www/ZCGIFolder.gif',
        constructors=(ZCGI.manage_addZCGIFolderForm,
                      ZCGI.manage_addZCGIFolder),
        )
    context.registerHelp()
